Index: /branches/GeneralizedQAP/HeuristicLab.Services.ProblemInstances/ProblemInstancesModel.Designer.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Services.ProblemInstances/ProblemInstancesModel.Designer.cs	(revision 6732)
+++ /branches/GeneralizedQAP/HeuristicLab.Services.ProblemInstances/ProblemInstancesModel.Designer.cs	(revision 6733)
@@ -19,5 +19,5 @@
 #region EDM Relationship Metadata
 
-[assembly: EdmRelationshipAttribute("ProblemInstancesModel", "FK_QAPSolution_QAPInstance", "QAPInstance", System.Data.Metadata.Edm.RelationshipMultiplicity.One, typeof(HeuristicLab.Services.ProblemInstances.QAPInstance), "QAPSolution", System.Data.Metadata.Edm.RelationshipMultiplicity.Many, typeof(HeuristicLab.Services.ProblemInstances.QAPSolution), true)]
+[assembly: EdmRelationshipAttribute("ProblemInstancesModel", "FK_QAPSolution_QAPInstance1", "QAPInstance", System.Data.Metadata.Edm.RelationshipMultiplicity.One, typeof(HeuristicLab.Services.ProblemInstances.QAPInstance), "QAPSolution", System.Data.Metadata.Edm.RelationshipMultiplicity.Many, typeof(HeuristicLab.Services.ProblemInstances.QAPSolution), true)]
 
 #endregion
@@ -143,21 +143,21 @@
         /// Create a new QAPInstance object.
         /// </summary>
-        /// <param name="name">Initial value of the name property.</param>
-        /// <param name="maximization">Initial value of the maximization property.</param>
-        /// <param name="weights">Initial value of the weights property.</param>
-        /// <param name="weights_sha1">Initial value of the weights_sha1 property.</param>
-        /// <param name="distances">Initial value of the distances property.</param>
-        /// <param name="distances_sha1">Initial value of the distances_sha1 property.</param>
-        /// <param name="problemsize">Initial value of the problemsize property.</param>
-        public static QAPInstance CreateQAPInstance(global::System.String name, global::System.Boolean maximization, global::System.String weights, global::System.String weights_sha1, global::System.String distances, global::System.String distances_sha1, global::System.Int32 problemsize)
+        /// <param name="name">Initial value of the Name property.</param>
+        /// <param name="maximization">Initial value of the Maximization property.</param>
+        /// <param name="weights">Initial value of the Weights property.</param>
+        /// <param name="weightsHash">Initial value of the WeightsHash property.</param>
+        /// <param name="distances">Initial value of the Distances property.</param>
+        /// <param name="distancesHash">Initial value of the DistancesHash property.</param>
+        /// <param name="problemSize">Initial value of the ProblemSize property.</param>
+        public static QAPInstance CreateQAPInstance(global::System.String name, global::System.Boolean maximization, global::System.String weights, global::System.String weightsHash, global::System.String distances, global::System.String distancesHash, global::System.Int32 problemSize)
         {
             QAPInstance qAPInstance = new QAPInstance();
-            qAPInstance.name = name;
-            qAPInstance.maximization = maximization;
-            qAPInstance.weights = weights;
-            qAPInstance.weights_sha1 = weights_sha1;
-            qAPInstance.distances = distances;
-            qAPInstance.distances_sha1 = distances_sha1;
-            qAPInstance.problemsize = problemsize;
+            qAPInstance.Name = name;
+            qAPInstance.Maximization = maximization;
+            qAPInstance.Weights = weights;
+            qAPInstance.WeightsHash = weightsHash;
+            qAPInstance.Distances = distances;
+            qAPInstance.DistancesHash = distancesHash;
+            qAPInstance.ProblemSize = problemSize;
             return qAPInstance;
         }
@@ -171,25 +171,25 @@
         [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
         [DataMemberAttribute()]
-        public global::System.String name
-        {
-            get
-            {
-                return _name;
-            }
-            set
-            {
-                if (_name != value)
+        public global::System.String Name
+        {
+            get
+            {
+                return _Name;
+            }
+            set
+            {
+                if (_Name != value)
                 {
-                    OnnameChanging(value);
-                    ReportPropertyChanging("name");
-                    _name = StructuralObject.SetValidValue(value, false);
-                    ReportPropertyChanged("name");
-                    OnnameChanged();
+                    OnNameChanging(value);
+                    ReportPropertyChanging("Name");
+                    _Name = StructuralObject.SetValidValue(value, false);
+                    ReportPropertyChanged("Name");
+                    OnNameChanged();
                 }
             }
         }
-        private global::System.String _name;
-        partial void OnnameChanging(global::System.String value);
-        partial void OnnameChanged();
+        private global::System.String _Name;
+        partial void OnNameChanging(global::System.String value);
+        partial void OnNameChanged();
     
         /// <summary>
@@ -198,166 +198,166 @@
         [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
         [DataMemberAttribute()]
-        public global::System.String description
-        {
-            get
-            {
-                return _description;
-            }
-            set
-            {
-                OndescriptionChanging(value);
-                ReportPropertyChanging("description");
-                _description = StructuralObject.SetValidValue(value, true);
-                ReportPropertyChanged("description");
-                OndescriptionChanged();
-            }
-        }
-        private global::System.String _description;
-        partial void OndescriptionChanging(global::System.String value);
-        partial void OndescriptionChanged();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.Boolean maximization
-        {
-            get
-            {
-                return _maximization;
-            }
-            set
-            {
-                OnmaximizationChanging(value);
-                ReportPropertyChanging("maximization");
-                _maximization = StructuralObject.SetValidValue(value);
-                ReportPropertyChanged("maximization");
-                OnmaximizationChanged();
-            }
-        }
-        private global::System.Boolean _maximization;
-        partial void OnmaximizationChanging(global::System.Boolean value);
-        partial void OnmaximizationChanged();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.String weights
-        {
-            get
-            {
-                return _weights;
-            }
-            set
-            {
-                OnweightsChanging(value);
-                ReportPropertyChanging("weights");
-                _weights = StructuralObject.SetValidValue(value, false);
-                ReportPropertyChanged("weights");
-                OnweightsChanged();
-            }
-        }
-        private global::System.String _weights;
-        partial void OnweightsChanging(global::System.String value);
-        partial void OnweightsChanged();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.String weights_sha1
-        {
-            get
-            {
-                return _weights_sha1;
-            }
-            set
-            {
-                Onweights_sha1Changing(value);
-                ReportPropertyChanging("weights_sha1");
-                _weights_sha1 = StructuralObject.SetValidValue(value, false);
-                ReportPropertyChanged("weights_sha1");
-                Onweights_sha1Changed();
-            }
-        }
-        private global::System.String _weights_sha1;
-        partial void Onweights_sha1Changing(global::System.String value);
-        partial void Onweights_sha1Changed();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.String distances
-        {
-            get
-            {
-                return _distances;
-            }
-            set
-            {
-                OndistancesChanging(value);
-                ReportPropertyChanging("distances");
-                _distances = StructuralObject.SetValidValue(value, false);
-                ReportPropertyChanged("distances");
-                OndistancesChanged();
-            }
-        }
-        private global::System.String _distances;
-        partial void OndistancesChanging(global::System.String value);
-        partial void OndistancesChanged();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.String distances_sha1
-        {
-            get
-            {
-                return _distances_sha1;
-            }
-            set
-            {
-                Ondistances_sha1Changing(value);
-                ReportPropertyChanging("distances_sha1");
-                _distances_sha1 = StructuralObject.SetValidValue(value, false);
-                ReportPropertyChanged("distances_sha1");
-                Ondistances_sha1Changed();
-            }
-        }
-        private global::System.String _distances_sha1;
-        partial void Ondistances_sha1Changing(global::System.String value);
-        partial void Ondistances_sha1Changed();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.Int32 problemsize
-        {
-            get
-            {
-                return _problemsize;
-            }
-            set
-            {
-                OnproblemsizeChanging(value);
-                ReportPropertyChanging("problemsize");
-                _problemsize = StructuralObject.SetValidValue(value);
-                ReportPropertyChanged("problemsize");
-                OnproblemsizeChanged();
-            }
-        }
-        private global::System.Int32 _problemsize;
-        partial void OnproblemsizeChanging(global::System.Int32 value);
-        partial void OnproblemsizeChanged();
+        public global::System.String Description
+        {
+            get
+            {
+                return _Description;
+            }
+            set
+            {
+                OnDescriptionChanging(value);
+                ReportPropertyChanging("Description");
+                _Description = StructuralObject.SetValidValue(value, true);
+                ReportPropertyChanged("Description");
+                OnDescriptionChanged();
+            }
+        }
+        private global::System.String _Description;
+        partial void OnDescriptionChanging(global::System.String value);
+        partial void OnDescriptionChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.Boolean Maximization
+        {
+            get
+            {
+                return _Maximization;
+            }
+            set
+            {
+                OnMaximizationChanging(value);
+                ReportPropertyChanging("Maximization");
+                _Maximization = StructuralObject.SetValidValue(value);
+                ReportPropertyChanged("Maximization");
+                OnMaximizationChanged();
+            }
+        }
+        private global::System.Boolean _Maximization;
+        partial void OnMaximizationChanging(global::System.Boolean value);
+        partial void OnMaximizationChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.String Weights
+        {
+            get
+            {
+                return _Weights;
+            }
+            set
+            {
+                OnWeightsChanging(value);
+                ReportPropertyChanging("Weights");
+                _Weights = StructuralObject.SetValidValue(value, false);
+                ReportPropertyChanged("Weights");
+                OnWeightsChanged();
+            }
+        }
+        private global::System.String _Weights;
+        partial void OnWeightsChanging(global::System.String value);
+        partial void OnWeightsChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.String WeightsHash
+        {
+            get
+            {
+                return _WeightsHash;
+            }
+            set
+            {
+                OnWeightsHashChanging(value);
+                ReportPropertyChanging("WeightsHash");
+                _WeightsHash = StructuralObject.SetValidValue(value, false);
+                ReportPropertyChanged("WeightsHash");
+                OnWeightsHashChanged();
+            }
+        }
+        private global::System.String _WeightsHash;
+        partial void OnWeightsHashChanging(global::System.String value);
+        partial void OnWeightsHashChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.String Distances
+        {
+            get
+            {
+                return _Distances;
+            }
+            set
+            {
+                OnDistancesChanging(value);
+                ReportPropertyChanging("Distances");
+                _Distances = StructuralObject.SetValidValue(value, false);
+                ReportPropertyChanged("Distances");
+                OnDistancesChanged();
+            }
+        }
+        private global::System.String _Distances;
+        partial void OnDistancesChanging(global::System.String value);
+        partial void OnDistancesChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.String DistancesHash
+        {
+            get
+            {
+                return _DistancesHash;
+            }
+            set
+            {
+                OnDistancesHashChanging(value);
+                ReportPropertyChanging("DistancesHash");
+                _DistancesHash = StructuralObject.SetValidValue(value, false);
+                ReportPropertyChanged("DistancesHash");
+                OnDistancesHashChanged();
+            }
+        }
+        private global::System.String _DistancesHash;
+        partial void OnDistancesHashChanging(global::System.String value);
+        partial void OnDistancesHashChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.Int32 ProblemSize
+        {
+            get
+            {
+                return _ProblemSize;
+            }
+            set
+            {
+                OnProblemSizeChanging(value);
+                ReportPropertyChanging("ProblemSize");
+                _ProblemSize = StructuralObject.SetValidValue(value);
+                ReportPropertyChanged("ProblemSize");
+                OnProblemSizeChanged();
+            }
+        }
+        private global::System.Int32 _ProblemSize;
+        partial void OnProblemSizeChanging(global::System.Int32 value);
+        partial void OnProblemSizeChanged();
 
         #endregion
@@ -371,10 +371,10 @@
         [SoapIgnoreAttribute()]
         [DataMemberAttribute()]
-        [EdmRelationshipNavigationPropertyAttribute("ProblemInstancesModel", "FK_QAPSolution_QAPInstance", "QAPSolution")]
-        public EntityCollection<QAPSolution> QAPSolutions
-        {
-            get
-            {
-                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedCollection<QAPSolution>("ProblemInstancesModel.FK_QAPSolution_QAPInstance", "QAPSolution");
+        [EdmRelationshipNavigationPropertyAttribute("ProblemInstancesModel", "FK_QAPSolution_QAPInstance1", "QAPSolution")]
+        public EntityCollection<QAPSolution> Solutions
+        {
+            get
+            {
+                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedCollection<QAPSolution>("ProblemInstancesModel.FK_QAPSolution_QAPInstance1", "QAPSolution");
             }
             set
@@ -382,5 +382,5 @@
                 if ((value != null))
                 {
-                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedCollection<QAPSolution>("ProblemInstancesModel.FK_QAPSolution_QAPInstance", "QAPSolution", value);
+                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedCollection<QAPSolution>("ProblemInstancesModel.FK_QAPSolution_QAPInstance1", "QAPSolution", value);
                 }
             }
@@ -403,17 +403,17 @@
         /// Create a new QAPSolution object.
         /// </summary>
-        /// <param name="id">Initial value of the id property.</param>
-        /// <param name="name">Initial value of the name property.</param>
-        /// <param name="assignment">Initial value of the assignment property.</param>
-        /// <param name="assignment_sha1">Initial value of the assignment_sha1 property.</param>
-        /// <param name="quality">Initial value of the quality property.</param>
-        public static QAPSolution CreateQAPSolution(global::System.Int32 id, global::System.String name, global::System.String assignment, global::System.String assignment_sha1, global::System.Double quality)
+        /// <param name="id">Initial value of the Id property.</param>
+        /// <param name="name">Initial value of the Name property.</param>
+        /// <param name="assignment">Initial value of the Assignment property.</param>
+        /// <param name="assignmentHash">Initial value of the AssignmentHash property.</param>
+        /// <param name="quality">Initial value of the Quality property.</param>
+        public static QAPSolution CreateQAPSolution(global::System.Int32 id, global::System.String name, global::System.String assignment, global::System.String assignmentHash, global::System.Double quality)
         {
             QAPSolution qAPSolution = new QAPSolution();
-            qAPSolution.id = id;
-            qAPSolution.name = name;
-            qAPSolution.assignment = assignment;
-            qAPSolution.assignment_sha1 = assignment_sha1;
-            qAPSolution.quality = quality;
+            qAPSolution.Id = id;
+            qAPSolution.Name = name;
+            qAPSolution.Assignment = assignment;
+            qAPSolution.AssignmentHash = assignmentHash;
+            qAPSolution.Quality = quality;
             return qAPSolution;
         }
@@ -427,121 +427,121 @@
         [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
         [DataMemberAttribute()]
-        public global::System.Int32 id
-        {
-            get
-            {
-                return _id;
-            }
-            set
-            {
-                if (_id != value)
+        public global::System.Int32 Id
+        {
+            get
+            {
+                return _Id;
+            }
+            set
+            {
+                if (_Id != value)
                 {
-                    OnidChanging(value);
-                    ReportPropertyChanging("id");
-                    _id = StructuralObject.SetValidValue(value);
-                    ReportPropertyChanged("id");
-                    OnidChanged();
+                    OnIdChanging(value);
+                    ReportPropertyChanging("Id");
+                    _Id = StructuralObject.SetValidValue(value);
+                    ReportPropertyChanged("Id");
+                    OnIdChanged();
                 }
             }
         }
-        private global::System.Int32 _id;
-        partial void OnidChanging(global::System.Int32 value);
-        partial void OnidChanged();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.String name
-        {
-            get
-            {
-                return _name;
-            }
-            set
-            {
-                OnnameChanging(value);
-                ReportPropertyChanging("name");
-                _name = StructuralObject.SetValidValue(value, false);
-                ReportPropertyChanged("name");
-                OnnameChanged();
-            }
-        }
-        private global::System.String _name;
-        partial void OnnameChanging(global::System.String value);
-        partial void OnnameChanged();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.String assignment
-        {
-            get
-            {
-                return _assignment;
-            }
-            set
-            {
-                OnassignmentChanging(value);
-                ReportPropertyChanging("assignment");
-                _assignment = StructuralObject.SetValidValue(value, false);
-                ReportPropertyChanged("assignment");
-                OnassignmentChanged();
-            }
-        }
-        private global::System.String _assignment;
-        partial void OnassignmentChanging(global::System.String value);
-        partial void OnassignmentChanged();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.String assignment_sha1
-        {
-            get
-            {
-                return _assignment_sha1;
-            }
-            set
-            {
-                Onassignment_sha1Changing(value);
-                ReportPropertyChanging("assignment_sha1");
-                _assignment_sha1 = StructuralObject.SetValidValue(value, false);
-                ReportPropertyChanged("assignment_sha1");
-                Onassignment_sha1Changed();
-            }
-        }
-        private global::System.String _assignment_sha1;
-        partial void Onassignment_sha1Changing(global::System.String value);
-        partial void Onassignment_sha1Changed();
-    
-        /// <summary>
-        /// No Metadata Documentation available.
-        /// </summary>
-        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
-        [DataMemberAttribute()]
-        public global::System.Double quality
-        {
-            get
-            {
-                return _quality;
-            }
-            set
-            {
-                OnqualityChanging(value);
-                ReportPropertyChanging("quality");
-                _quality = StructuralObject.SetValidValue(value);
-                ReportPropertyChanged("quality");
-                OnqualityChanged();
-            }
-        }
-        private global::System.Double _quality;
-        partial void OnqualityChanging(global::System.Double value);
-        partial void OnqualityChanged();
+        private global::System.Int32 _Id;
+        partial void OnIdChanging(global::System.Int32 value);
+        partial void OnIdChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.String Name
+        {
+            get
+            {
+                return _Name;
+            }
+            set
+            {
+                OnNameChanging(value);
+                ReportPropertyChanging("Name");
+                _Name = StructuralObject.SetValidValue(value, false);
+                ReportPropertyChanged("Name");
+                OnNameChanged();
+            }
+        }
+        private global::System.String _Name;
+        partial void OnNameChanging(global::System.String value);
+        partial void OnNameChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.String Assignment
+        {
+            get
+            {
+                return _Assignment;
+            }
+            set
+            {
+                OnAssignmentChanging(value);
+                ReportPropertyChanging("Assignment");
+                _Assignment = StructuralObject.SetValidValue(value, false);
+                ReportPropertyChanged("Assignment");
+                OnAssignmentChanged();
+            }
+        }
+        private global::System.String _Assignment;
+        partial void OnAssignmentChanging(global::System.String value);
+        partial void OnAssignmentChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.String AssignmentHash
+        {
+            get
+            {
+                return _AssignmentHash;
+            }
+            set
+            {
+                OnAssignmentHashChanging(value);
+                ReportPropertyChanging("AssignmentHash");
+                _AssignmentHash = StructuralObject.SetValidValue(value, false);
+                ReportPropertyChanged("AssignmentHash");
+                OnAssignmentHashChanged();
+            }
+        }
+        private global::System.String _AssignmentHash;
+        partial void OnAssignmentHashChanging(global::System.String value);
+        partial void OnAssignmentHashChanged();
+    
+        /// <summary>
+        /// No Metadata Documentation available.
+        /// </summary>
+        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=false)]
+        [DataMemberAttribute()]
+        public global::System.Double Quality
+        {
+            get
+            {
+                return _Quality;
+            }
+            set
+            {
+                OnQualityChanging(value);
+                ReportPropertyChanging("Quality");
+                _Quality = StructuralObject.SetValidValue(value);
+                ReportPropertyChanged("Quality");
+                OnQualityChanged();
+            }
+        }
+        private global::System.Double _Quality;
+        partial void OnQualityChanging(global::System.Double value);
+        partial void OnQualityChanged();
 
         #endregion
@@ -555,14 +555,14 @@
         [SoapIgnoreAttribute()]
         [DataMemberAttribute()]
-        [EdmRelationshipNavigationPropertyAttribute("ProblemInstancesModel", "FK_QAPSolution_QAPInstance", "QAPInstance")]
-        public QAPInstance QAPInstance
-        {
-            get
-            {
-                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<QAPInstance>("ProblemInstancesModel.FK_QAPSolution_QAPInstance", "QAPInstance").Value;
-            }
-            set
-            {
-                ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<QAPInstance>("ProblemInstancesModel.FK_QAPSolution_QAPInstance", "QAPInstance").Value = value;
+        [EdmRelationshipNavigationPropertyAttribute("ProblemInstancesModel", "FK_QAPSolution_QAPInstance1", "QAPInstance")]
+        public QAPInstance Instance
+        {
+            get
+            {
+                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<QAPInstance>("ProblemInstancesModel.FK_QAPSolution_QAPInstance1", "QAPInstance").Value;
+            }
+            set
+            {
+                ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<QAPInstance>("ProblemInstancesModel.FK_QAPSolution_QAPInstance1", "QAPInstance").Value = value;
             }
         }
@@ -572,9 +572,9 @@
         [BrowsableAttribute(false)]
         [DataMemberAttribute()]
-        public EntityReference<QAPInstance> QAPInstanceReference
-        {
-            get
-            {
-                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<QAPInstance>("ProblemInstancesModel.FK_QAPSolution_QAPInstance", "QAPInstance");
+        public EntityReference<QAPInstance> InstanceReference
+        {
+            get
+            {
+                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<QAPInstance>("ProblemInstancesModel.FK_QAPSolution_QAPInstance1", "QAPInstance");
             }
             set
@@ -582,5 +582,5 @@
                 if ((value != null))
                 {
-                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedReference<QAPInstance>("ProblemInstancesModel.FK_QAPSolution_QAPInstance", "QAPInstance", value);
+                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedReference<QAPInstance>("ProblemInstancesModel.FK_QAPSolution_QAPInstance1", "QAPInstance", value);
                 }
             }
